package ru.crp.lvms.chart;

import java.util.ArrayList;
import java.util.List;

public class LineChart extends Chart {

    private List<Point> points = new ArrayList<>();

    public LineChart() {
    }

    public LineChart(Type type) {
        super(type);
    }

    public LineChart(Type type, String title, String xAxisLabel, String xDimension, String yAxisLabel, String yDimension) {
        super(type, title, xAxisLabel, xDimension, yAxisLabel, yDimension);
    }

    public LineChart(Type type, String title, String xAxisLabel, String xDimension, AxisDomainType domainX, String yAxisLabel, String yDimension, AxisDomainType domainY) {
        super(type, title, xAxisLabel, xDimension, domainX, yAxisLabel, yDimension, domainY);
    }

    public void addPoint(Point point) {
        points.add(point);
    }

    public List<Point> getPoints() {
        return points;
    }

    public void setPoints(List<Point> points) {
        this.points = points;
    }
}
