package ru.crp.lvms.model.dao;

import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Repository;
import ru.crp.lvms.model.entities.technology.TechnologyParametersEntity;

import java.util.List;

@Repository
@Primary
public class TechnologyParametersDao extends BaseSpaceDao<TechnologyParametersEntity> {
    public List<TechnologyParametersEntity> getTechnologyEquipment(int technologyId) {
        return find("WHERE technology_id = ?", technologyId);
    }

    public TechnologyParametersEntity findByTechnologyIdAndName(Integer technologyId, String parameterName) {
        return findOne("WHERE technology_id = ? AND parameter_name = ?", technologyId, parameterName);
    }
}
