package ru.crp.lvms.model.dao.construction.elements;

import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Repository;
import ru.crp.lvms.model.dao.BaseSpaceDao;
import ru.crp.lvms.model.entities.construction.elements.AdjacentElementsEntityTable;

import java.util.List;

@Repository
@Primary
public class AdjacentElementDao extends BaseSpaceDao<AdjacentElementsEntityTable> {
    public List<AdjacentElementsEntityTable> findByConstructionElementId(int constructionElementId) {
        return find("WHERE construction_element_id = ?", constructionElementId);
    }

    public void delete(int constructionElementId, int adj) {
        jdbcTemplate().update("DELETE FROM adjacent_elements WHERE construction_element_id = ? AND adjacent_construction_element_id = ?",
                constructionElementId, adj);
    }
}
