package ru.crp.lvms.model.entities.construction.elements;

import ru.crp.cmlb.model.entities.Column;
import ru.crp.cmlb.model.entities.Table;
import ru.crp.lvms.managers.image.ImageFileContainer;
import ru.crp.lvms.web.dto.columns.GridColumn;
import ru.crp.lvms.web.dto.columns.GridColumnType;

@Table("construction_elements_join")
public class ConstructionElementEntity extends ConstructionElementEntityTable implements ImageFileContainer {

    @GridColumn(name = "initialCadModelName", label = "Исходная CAD-модель", order = 2, cell = GridColumnType.string)
    @Column("cad_name")
    private String initialCadModelName;

    @Column("owner")
    private String owner;

    public String getInitialCadModelName() {
        return initialCadModelName;
    }

    public void setInitialCadModelName(String initialCadModelName) {
        this.initialCadModelName = initialCadModelName;
    }

    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }
}
