package ru.crp.lvms.optimizations.optistruct.dao;

import org.springframework.stereotype.Repository;
import ru.crp.lvms.model.dao.BaseSpaceDao;
import ru.crp.lvms.optimizations.optistruct.entities.OptistructAdditionalParametersType;

import java.util.List;

@Repository
public class OptistructAdditionalParametersTypeDao extends BaseSpaceDao<OptistructAdditionalParametersType> {
    public List<OptistructAdditionalParametersType> findAllowedForParameter(int parameterId) {
        return find("JOIN optistruct_additional_parameters_allowed_types " +
                "ON optistruct_additional_parameters_allowed_types.type_id = o.id " +
                "JOIN optistruct_additional_parameters " +
                "ON optistruct_additional_parameters.id = optistruct_additional_parameters_allowed_types.parameter_id " +
                "WHERE optistruct_additional_parameters.id = ?", parameterId);
    }
}
