package ru.crp.lvms.tasks.slurm.requests;

public class CancelTaskRequest extends AbstractRequest<Void> {
    private int jobId;

    public CancelTaskRequest(int jobId) {
        this.jobId = jobId;
    }

    @Override
    public String getCommandLine() {
        return String.format("scancel %d", jobId);
    }

    @Override
    public Void parseResponse(String response) {
        return null;
    }
}
