package ru.crp.lvms.web.dto;

import ru.crp.lvms.web.dto.misc.ValueObject;

import javax.validation.constraints.NotNull;

public class ParameterValueIn extends ValueObject {
    @NotNull(message = "Температура должна быть задана")
    private Double temperature;
    @NotNull(message = "Название параметра должно быть задано")
    private Integer paramId;
    @NotNull(message = "Значение параметра должно быть задано")
    private Double paramValue;

    private Double funcParamValue;

    private Double simParamValue;

    public ParameterValueIn() { }

    public ParameterValueIn(Double temperature, Integer paramId, Double paramValue) {
        this.temperature = temperature;
        this.paramId = paramId;
        this.paramValue = paramValue;
    }

    public Double getTemperature() {
        return temperature;
    }

    public void setTemperature(Double temperature) {
        this.temperature = temperature;
    }

    public Integer getParamId() {
        return paramId;
    }

    public void setParamId(Integer paramId) {
        this.paramId = paramId;
    }

    public Double getParamValue() {
        return paramValue;
    }

    public void setParamValue(Double paramValue) {
        this.paramValue = paramValue;
    }

    public Double getFuncParamValue() {
        return funcParamValue;
    }

    public void setFuncParamValue(Double funcParamValue) {
        this.funcParamValue = funcParamValue;
    }

    public Double getSimParamValue() {
        return simParamValue;
    }

    public void setSimParamValue(Double simParamValue) {
        this.simParamValue = simParamValue;
    }
}
