DROP VIEW construction_elements_join;
CREATE VIEW construction_elements_join AS
  SELECT
    ce.*,
    image.name AS image_name,
    cad.name   AS cad_name,
    u.name     AS owner
  FROM construction_elements ce
    JOIN users u ON u.id = ce.owner_id
    LEFT OUTER JOIN files image
      ON ce.image_file_id = image.id
    LEFT OUTER JOIN files cad
      ON ce.cad_model_id = cad.id;