CREATE TRIGGER technologies_modification_date_update
BEFORE UPDATE ON technologies
FOR EACH ROW
WHEN (OLD.* IS DISTINCT FROM NEW.*)
EXECUTE PROCEDURE update_last_modified();

CREATE TRIGGER optimizations_modification_date_update
BEFORE UPDATE ON optimizations
FOR EACH ROW
WHEN (OLD.* IS DISTINCT FROM NEW.*)
EXECUTE PROCEDURE update_last_modified();

CREATE TRIGGER construction_elements_modification_date_update
BEFORE UPDATE ON construction_elements
FOR EACH ROW
WHEN (OLD.* IS DISTINCT FROM NEW.*)
EXECUTE PROCEDURE update_last_modified();