
CREATE TABLE optimization_selected_does_and_algorithms (
  id SERIAL,
--  selected doe or algorithm id
  object_id INTEGER NOT NULL,
  optimization_id INTEGER NOT NULL,
  object_type_id INTEGER NOT NULL,

  PRIMARY KEY(id),
  FOREIGN KEY(object_id) REFERENCES parameters_dictionary(id),
  FOREIGN KEY(object_type_id) REFERENCES parameters_dictionary_type(id),
  FOREIGN KEY(optimization_id) REFERENCES optimizations(id) ON DELETE CASCADE,
  UNIQUE(optimization_id, object_type_id)
);
