(function () {
  "use strict";

  window.App.Behaviors.EffectiveCharacteristicBehaviors = Marionette.Behavior.extend({

    ui: {
      "valIn": ".js-val"
    },

    events: {
      "change @ui.valIn": "onInputChange"
    },

    onInputChange: function (e) {
      var val = $(e.target).closest("input").val();
      var id = $(e.target).closest("input").data("id");
      var parameter = this.view.collection.findWhere({ id: id });
      parameter.save({ parameterValue: val }, {
        success: function () {
          window.alertify.success("Изменения успешно сохранены");
        }
      })
    }

  });

}());