(function () {
  "use strict";

  window.App.Collections.Tasks = window.App.Collections.GridBaseCollection.extend({
    url: function () {
      var url = "rest/tasks";
      if (this.options.type) url = url + "/" + this.options.type;
      if (this.options.ownedOnly) url = url + "?ownedOnly=" + this.options.ownedOnly;
      return url;
    },

    model: window.App.Models.Task,

    columnsUrl: function() {
      return "rest/tasks/columns";
    }

  });
})();