/**
 * Created by lexeek on 27.10.14.
 */

App.module("AdminModule", {

  define: function (Nav, App, Backbone, Marionette, $, _) {
    var that = this;

    window.App.commands.setHandler("admin:show", function (options) {
      that.AdminController.showAdmin(options);
    });

    window.App.commands.setHandler("admin:nodes:show", function (options) {
      that.AdminController.showNodesPage(options);
    });

    window.App.commands.setHandler("admin:solvers:show", function (options) {
      that.AdminController.showSolversPage(options);
    });

    window.App.commands.setHandler("admin:nodes:id:show", function (options) {
      that.AdminController.showNodeByIdPage(options);
    });

    window.App.commands.setHandler("admin:solvers:id:show", function (options) {
      that.AdminController.showSolverByIdPage(options);
    });

    window.App.commands.setHandler("admin:nodes:create:show", function (options) {
      that.AdminController.showNodesCreatePage(options);
    });

    window.App.commands.setHandler("admin:solvers:create:show", function (options) {
      that.AdminController.showSolversCreatePage(options);
    });

    window.App.commands.setHandler("admin:tcl:scripts:show", function (options) {
      that.AdminController.showTclScriptsPage(options);
    });

  },

  initialize: function() {
    this.AdminController = new window.App.Controllers.AdminController();
  }

});