window.ReferenceInputField = React.createClass({
  getInitialState: function () {
    return {
      referenceId: this.props.referenceId,
      reference: this.props.reference
    }
  },
  onClick: function () {
    if (this.props.disabled) {
      window.App.navigate("#project/" + this.props.referenceType + "s/" + this.state.referenceId + "/parameters/view")
    } else {
      this.ChangeReferenceModalView = new window.App.Views.ChangeReferenceModal({ treeType: "optimizations", onlyFolders: false });
      this.changePathModal = new Backbone.BootstrapModal({
        content: this.ChangeReferenceModalView,
        title: "Выбрать базовый объект",
        animate: true,
        cancelText: "Отменить",
        okText: "Сохранить"
      }).open();
      this.ChangeReferenceModalView.passModal(this.changePathModal);
      this.ChangeReferenceModalView.on("reference:selected", this.onReferenceSelected);
    }
  },

  onReferenceSelected: function (referenceId) {
    this.props.optimization.save({
      "referenceId": referenceId
    }, {
      success: (model, response) => {
        this.setState({
          referenceId: response.referenceId,
          reference: response.reference
        });
      }
    });
  },

  render: function () {
    var opts = {
      className: "form-control",
      disabled: this.props.disabled ? "disabled" : ""
    };
    var link;
    if (this.props.referenceId) {
      link = <a href="javascript:void(0)" data-toggle="tooltip" title={this.state.reference} onClick={this.onClick}>{this.state.reference}</a>;
    } else if (this.props.disabled) {
      link = <span>Не задано</span>;
    } else {
      link = <a href="javascript:void(0)" onClick={this.onClick}>Выбрать базовый объект</a>;
    }
    return (
      <div>
        <div className="col-md-3">
          <label for="name">{this.props.label}:</label>
        </div>
        <div className="col-md-9">
          <div {...opts}>
            {link}
          </div>
        </div>
      </div>
    )
  }
});