(function () {
  "use strict";

  window.App.Views.CompositeMaterialPlotView = window.App.Views.MaterialPlotView.extend({

    fetchPlotParameterValues: function () {
      var that = this;
      this.parameterValues = new window.App.Collections.PlotParameterValues({
        materialId: this.options.materialId,
        parameterId: this.currentParameter.id,
        materialType: "compositeMaterials"
      });
      this.parameterValues.fetch().done(function () {
        that.drawTableAndPlot();
      });
    }

  });

}());