window.OptimizationModeFrontierAlgorithmMethods = React.createClass({
  getInitialState: function () {
    return {
      methods: this.props.methods
    };
  },
  onChange: function (e) {
    this.state.methods.invoke("set", { selected: false });
    this.state.methods.get(e.target.closest("select").value).save({ selected: true }, {
      success: () => {
        this.props.onChange();
        this.forceUpdate();
      }
    });
  },

  render: function () {
    let selected = this.state.methods.findWhere({ selected: true });
    return (
      <div>
        <div className="form-group">
          <select value={selected && selected.id} disabled={this.props.isView} onChange={this.onChange} className="form-control">
            {this.state.methods.toJSON().map(method =>
              <option key={method.id} value={method.id}>{method.name}</option>
            )}
          </select>
        </div>
      </div>
    )
  }
});