package ru.crp.lvms.chart;

public class ChartFactory {
    private ChartFactory() {
    }


    public static Chart createConstXChart(double yValue) {
        return new ConstChart(Chart.Type.CONST_X, yValue);
    }


    public static Chart createConstYChart(double xValue) {
        return new ConstChart(Chart.Type.CONST_Y, xValue);
    }


    public static LineChart createCurve() {
        return new LineChart(Chart.Type.CURVE);
    }


    public static LineChart createDottedCurve() {
        return new LineChart(Chart.Type.DOTS);
    }
}
