package ru.crp.lvms.chart;

public class Point {
    private double x;
    private double y;
    private PointType type;


    public Point() {
    }

    private Point(double x, double y, PointType type) {
        this.x = x;
        this.y = y;
        this.type = type;
    }

    public static Point commonPoint(double x, double y) {
        return new Point(x, y, PointType.COMMON);
    }

    public static Point improperPoint(double x, double y) {
        return new Point(x, y, PointType.IMPROPER);
    }

    public static Point superiorPoint(double x, double y) {
        return new Point(x, y, PointType.SUPERIOR);
    }

    public double getX() {
        return x;
    }

    public void setX(double x) {
        this.x = x;
    }

    public double getY() {
        return y;
    }

    public void setY(double y) {
        this.y = y;
    }

    public PointType getType() {
        return type;
    }

    public void setType(PointType type) {
        this.type = type;
    }
}
