package ru.crp.lvms.events;


import ru.crp.lvms.model.entities.tasks.TaskEntity;

public class TaskStateChangedEvent {
    private TaskEntity oldState;
    private TaskEntity newState;

    public TaskStateChangedEvent(TaskEntity oldState, TaskEntity newState) {
        this.oldState = oldState;
        this.newState = newState;
    }

    public TaskEntity getOldState() {
        return oldState;
    }

    public TaskEntity getNewState() {
        return newState;
    }
}
