package ru.crp.lvms.exceptions.solving;

import org.springframework.validation.Errors;

import javax.annotation.Nullable;

public class TaskStartingException extends SolverException {
    @Nullable
    private Errors errors;

    public TaskStartingException(String message, Errors errors) {
        super(message);
        this.errors = errors;
    }

    public TaskStartingException(String message) {
        super(message);
    }

    public TaskStartingException(String message, Throwable cause) {
        super(message, cause);
    }

    public TaskStartingException(Throwable cause) {
        super(cause);
    }

    public TaskStartingException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }

    @Nullable
    public Errors getErrors() {
        return errors;
    }
}
