package ru.crp.lvms.model.dao;

import org.springframework.context.annotation.Primary;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Repository;
import ru.crp.lvms.model.entities.EquipmentEntity;

import java.util.List;
import java.util.Map;

@Repository
@Primary
public class EquipmentDao extends BaseSpaceDao<EquipmentEntity> {
    public List<EquipmentEntity> getTechnologyEquipment(int technologyId) {
        return find("JOIN technologies_equipments te ON te.equipment_id = " + getAlias() + ".id " +
                "WHERE te.technology_id = ?", technologyId);
    }

    public PageImpl<EquipmentEntity> find(Integer technologyId, Map<String, Object> filters, Pageable pageable) {
        return find("JOIN technologies_equipments te ON te.equipment_id = " + getAlias() + ".id " +
                "WHERE te.technology_id = ?", filters, pageable, technologyId);
    }
}
