package ru.crp.lvms.model.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Repository;
import ru.crp.lvms.model.entities.MaterialEntity;
import ru.crp.lvms.model.entities.MaterialEntityTable;

@Repository
@Primary
public class MaterialDao extends BaseCompositeDao<MaterialEntityTable, MaterialEntity> {
    @Component
    public static class TableDao extends BaseSpaceDao<MaterialEntityTable> {

    }

    @Autowired
    private TableDao tableDao;

    @Override
    public TableDao tableDao() {
        return tableDao;
    }
}
