package ru.crp.lvms.model.entities.tasks;

import java.util.ArrayList;
import java.util.List;

import static java.util.Collections.emptyList;

public class SlurmTaskInfo implements Cloneable {
    private int taskId;
    private Integer slurmTaskId;
    private List<String> nodeNames = emptyList();
    private Integer numOfNodes;
    private Boolean isParallel;

    public SlurmTaskInfo() {
    }


    @Override
    public Object clone() throws CloneNotSupportedException {
        SlurmTaskInfo clone = (SlurmTaskInfo) super.clone();
        clone.nodeNames = nodeNames == null ? null : new ArrayList<>(nodeNames);
        return clone;
    }

    public int getTaskId() {
        return taskId;
    }

    public void setTaskId(int taskId) {
        this.taskId = taskId;
    }

    public Integer getSlurmTaskId() {
        return slurmTaskId;
    }

    public void setSlurmTaskId(Integer slurmTaskId) {
        this.slurmTaskId = slurmTaskId;
    }

    public List<String> getNodeNames() {
        return nodeNames;
    }

    public void setNodeNames(List<String> nodeNames) {
        this.nodeNames = nodeNames;
    }

    public Integer getNumOfNodes() {
        return numOfNodes;
    }

    public void setNumOfNodes(Integer numOfNodes) {
        this.numOfNodes = numOfNodes;
    }

    public Boolean getIsParallel() {
        return isParallel;
    }

    public void setIsParallel(Boolean isParallel) {
        this.isParallel = isParallel;
    }
}
