package ru.crp.lvms.model.entities.tasks;

import ru.crp.cmls.api.TaskParentType;
import ru.crp.cmls.calculations.solvers.xml.config.Type;

import javax.annotation.Nullable;
import javax.validation.constraints.NotNull;

public class TaskIn {
    @Nullable
    private Integer nodeId;

    @Nullable
    private String additionalStartupArguments;

    @NotNull(message = "Объект расчета должен быть задан")
    private int parentId;

    @NotNull(message = "Тип объекта расчета должен быть задан")
    private TaskParentType parentType;

    private String solverName;

    private Type type;

    @Nullable
    private Integer numOfCores;

    @Nullable
    private Long memory;

    @Nullable
    private Boolean isParallel;

    @Nullable
    private Integer numOfNodes;

    private int clusterId;

    @Nullable
    public Integer getNodeId() {
        return nodeId;
    }

    public void setNodeId(@Nullable Integer nodeId) {
        this.nodeId = nodeId;
    }

    @Nullable
    public String getAdditionalStartupArguments() {
        return additionalStartupArguments;
    }

    public void setAdditionalStartupArguments(@Nullable String additionalStartupArguments) {
        this.additionalStartupArguments = additionalStartupArguments;
    }

    public int getParentId() {
        return parentId;
    }

    public void setParentId(int parentId) {
        this.parentId = parentId;
    }

    public TaskParentType getParentType() {
        return parentType;
    }

    public void setParentType(TaskParentType parentType) {
        this.parentType = parentType;
    }

    public String getSolverName() {
        return solverName;
    }

    public void setSolverName(String solverName) {
        this.solverName = solverName;
    }

    public Type getType() {
        return type;
    }

    public void setType(Type type) {
        this.type = type;
    }

    @Nullable
    public Integer getNumOfCores() {
        return numOfCores;
    }

    public void setNumOfCores(@Nullable Integer numOfCores) {
        this.numOfCores = numOfCores;
    }

    @Nullable
    public Long getMemory() {
        return memory;
    }

    public void setMemory(@Nullable Long memory) {
        this.memory = memory;
    }

    public int getClusterId() {
        return clusterId;
    }

    public void setClusterId(int clusterId) {
        this.clusterId = clusterId;
    }

    @Nullable
    public Boolean getIsParallel() {
        return isParallel;
    }

    public void setIsParallel(@Nullable Boolean parallel) {
        isParallel = parallel;
    }

    @Nullable
    public Integer getNumOfNodes() {
        return numOfNodes;
    }

    public void setNumOfNodes(@Nullable Integer numOfNodes) {
        this.numOfNodes = numOfNodes;
    }
}
