
package ru.crp.lvms.optimizations.mf.config.xml;

import javax.xml.bind.annotation.*;


@XmlRootElement(name = "BATCH_MODE")
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "BATCH_MODEType", propOrder = {
    "run",
    "rsm",
    "mordo",
    "doedb",
    "designsdb",
    "percentile",
    "doe",
    "scheduler"
})
public class ConfigRoot {

    @XmlElement(name = "RUN", required = true)
    protected RunType run;
    @XmlElement(name = "RSM", required = true)
    protected String rsm;
    @XmlElement(name = "MORDO", required = true)
    protected String mordo;
    @XmlElement(name = "DOE_DB", required = true)
    protected DoeDBType doedb;
    @XmlElement(name = "DESIGNS_DB", required = true)
    protected DesignsDBType designsdb;
    @XmlElement(name = "PERCENTILE", required = true)
    protected String percentile;
    @XmlElement(name = "DOE", required = true)
    protected DOEType doe;
    @XmlElement(name = "SCHEDULER", required = true)
    protected SchedulerType scheduler;

    public ConfigRoot() {
        run = new RunType();
        rsm = "";
        mordo = "";
        doedb = new DoeDBType();
        designsdb = new DesignsDBType();
        percentile = "";
        doe = new DOEType();
        scheduler = new SchedulerType();
    }

    public RunType getRun() {
        return run;
    }


    public void setRun(RunType value) {
        this.run = value;
    }


    public String getRsm() {
        return rsm;
    }


    public void setRsm(String value) {
        this.rsm = value;
    }


    public String getMordo() {
        return mordo;
    }


    public void setMordo(String value) {
        this.mordo = value;
    }


    public DoeDBType getDoeDB() {
        return doedb;
    }


    public void setDoeDB(DoeDBType value) {
        this.doedb = value;
    }


    public DesignsDBType getDesignsDB() {
        return designsdb;
    }


    public void setDesignsDB(DesignsDBType value) {
        this.designsdb = value;
    }


    public String getPercentile() {
        return percentile;
    }


    public void setPercentile(String value) {
        this.percentile = value;
    }


    public DOEType getDoe() {
        return doe;
    }


    public void setDoe(DOEType value) {
        this.doe = value;
    }


    public SchedulerType getScheduler() {
        return scheduler;
    }


    public void setScheduler(SchedulerType value) {
        this.scheduler = value;
    }

}
