
package ru.crp.lvms.optimizations.optimus.config.xml;


import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DeckType", propOrder = {
        "name", "read", "subst"
})
public class DeckType {

    @XmlElement(name="name")
    private String name;

    @XmlElement(name="read")
    private String read;

    @XmlElement(name="subst")
    private String subst;

    public DeckType() {
    }

    public DeckType(String name, String read, String subst) {
        this.name = name;
        this.read = read;
        this.subst = subst;

    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRead() {
        return read;
    }

    public void setRead(String read) {
        this.read = read;
    }

    public String getSubst() {
        return subst;
    }

    public void setSubst(String subst) {
        this.subst = subst;
    }
}
