package ru.crp.lvms.optimizations.optistruct.dao;

import org.springframework.stereotype.Repository;
import ru.crp.lvms.model.dao.BaseSpaceDao;
import ru.crp.lvms.optimizations.optistruct.entities.OptistructTFAtta;

import java.util.List;

@Repository
public class OptistructTFAttaDao extends BaseSpaceDao<OptistructTFAtta> {

    public List<OptistructTFAtta> findAllowed(Integer tfId) {
        return find("JOIN optistruct_tf_allowed_atta " +
                "ON optistruct_tf_allowed_atta.atta_id = o.id " +
                "WHERE optistruct_tf_allowed_atta.tf_id = ?", tfId);
    }

}
