package ru.crp.lvms.optimizations.optistruct.entities;


import java.util.ArrayList;
import java.util.List;

public class OptistructGroupedTFParameters {

    private List<OptistructTFAtta> atta;
    private List<OptistructTFAttb> attb;
    private List<OptistructTFAtti> atti;
    private List<OptistructTFPtype> ptype;

    public OptistructGroupedTFParameters() {
        this.atta = new ArrayList<>();
        this.attb = new ArrayList<>();
        this.atti = new ArrayList<>();
        this.ptype = new ArrayList<>();
    }

    public OptistructGroupedTFParameters(List<OptistructTFAtta> atta,
                                         List<OptistructTFAttb> attb,
                                         List<OptistructTFAtti> atti,
                                         List<OptistructTFPtype> ptype) {
        this.atta = atta;
        this.attb = attb;
        this.atti = atti;
        this.ptype = ptype;
    }

    public List<OptistructTFAtta> getAtta() {
        return atta;
    }

    public void setAtta(List<OptistructTFAtta> atta) {
        this.atta = atta;
    }

    public List<OptistructTFAttb> getAttb() {
        return attb;
    }

    public void setAttb(List<OptistructTFAttb> attb) {
        this.attb = attb;
    }

    public List<OptistructTFAtti> getAtti() {
        return atti;
    }

    public void setAtti(List<OptistructTFAtti> atti) {
        this.atti = atti;
    }

    public List<OptistructTFPtype> getPtype() {
        return ptype;
    }

    public void setPtype(List<OptistructTFPtype> ptype) {
        this.ptype = ptype;
    }
}
