package ru.crp.lvms.tasks.fileGenerators;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import ru.crp.cmlb.model.entities.FileData;
import ru.crp.lvms.optimizations.base.entities.OptimizationEntity;

import java.io.IOException;
import java.util.List;


@Component
public class AnsysInputFileGenerator extends BaseInputFileGenerator {
    @Autowired
    private AnsysConfigFileGenerator ansysConfigFileGenerator;


    public List<FileData> getInputFilesForOptimization(OptimizationEntity optimization) throws IOException {
        List<FileData> fileData = optimizationManager.getInputFilesForOptimization(optimization, null);
        fileData.add(ansysConfigFileGenerator.generateInpFile(optimization));
        return fileData;
    }
}
