package ru.crp.lvms.tasks.fileGenerators;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import ru.crp.cmlb.model.entities.FileData;
import ru.crp.lvms.managers.FileManager;
import ru.crp.lvms.optimizations.base.entities.OptimizationEntity;

import java.io.IOException;
import java.util.List;

@Component
public class LsDynaInputFileGenerator extends BaseInputFileGenerator {
    @Autowired
    private FileManager fileManager;

    public List<FileData> getInputFilesForOptimization(OptimizationEntity optimization) throws IOException {
        return optimizationManager.getInputFilesForOptimization(optimization, null);
    }
}
