package ru.crp.lvms.tasks.slurm.requests;


public class StartTaskRequest extends AbstractRequest<Integer> {
    private String pathToSlurmScript;

    public StartTaskRequest(String pathToSlurmScript) {
        this.pathToSlurmScript = pathToSlurmScript;
    }

    @Override
    public String getCommandLine() {
        return "sbatch " + pathToSlurmScript;
    }

    @Override
    public Integer parseResponse(String response) {
        String[] split = response.split("\\s");
        return Integer.parseInt(split[split.length - 1]);
    }
}
