package ru.crp.lvms.web.controllers.misc;

import org.springframework.beans.factory.annotation.Autowired;
import ru.crp.cmlb.model.entities.base.Entity;
import ru.crp.lvms.managers.misc.PreferencesManager;

public abstract class CrudControllerColumns<E extends Entity, InVO, OutVO>
        extends CrudController<E, InVO, OutVO> implements ColumnsController {

    @Autowired
    private PreferencesManager preferencesManager;

    @Override
    public PreferencesManager getPreferencesManager() {
        return preferencesManager;
    }
}
