INSERT INTO toska_technological_constraints(id, name, comand_name, opt_type_id) VALUES
  (7, 'Технологическое ограничение оптимизации формы', 'TC_SHAPE', 7);

INSERT INTO toska_technological_constraints_tree(id, tc_id, name, display_name, is_value_editable, parent_id, type, tooltip,group_name) VALUES

  (61, 7, 'CHECK_GROW', 'Максимальная выпуклость', TRUE, NULL, NULL, NULL, NULL),

  (64, 7, 'CHECK_SHRINK', 'Максимальная вогнутость', TRUE, NULL, NULL, NULL, NULL),

  (75, 7, 'CHECK_ELGR', 'Контролировать пересечение', TRUE, NULL, NULL, NULL, NULL),

  (76, 7, 'CHECK_BC', 'Фиксация узлов с г. у.', FALSE, NULL, NULL, NULL, NULL),
    (1162, 7, 'NO', 'Нет', FALSE, 76, 'select', NULL, 'default'),
    (1163, 7, 'YES', 'Да', FALSE, 76, 'select', NULL, 'default'),

  (77, 7, 'CHECK_DOF', 'Фиксация степеней свободы', FALSE, NULL, NULL, NULL, NULL),
    (1165, 7, 'CS_num', 'Система координат', TRUE, 77, NULL, NULL, NULL),
    (1166, 7, 'X', 'X', FALSE, 77, 'checkbox', NULL, NULL),
    (1169, 7, 'Y', 'Y', FALSE, 77, 'checkbox', NULL, NULL),
    (1172, 7, 'Z', 'Z', FALSE, 77, 'checkbox', NULL, NULL),

  (78, 7, 'CHECK_MIN_MEM', 'Минимальная толщина', TRUE, NULL, NULL, NULL, NULL),

  (81, 7, 'CHECK_MAX_MEM', 'Максимальная толщина', TRUE, NULL, NULL, NULL, NULL),

  (82, 7, 'CHECK_NDGR', 'Группа узлов', TRUE, NULL, NULL, NULL, NULL),
  (83, 7, 'TOLERANCE', 'Точность', TRUE, NULL, NULL, NULL, NULL),

  (84, 7, 'FEASIBLE_START', 'Только корректные узлы', FALSE, NULL, NULL, NULL, NULL),
    (85, 7, 'NO', 'Нет', FALSE, 84, 'select', NULL, 'default'),
    (86, 7, 'YES', 'Да', FALSE, 84, 'select', NULL, 'default'),

  (88, 7, 'MASTER', 'Отсчетный узел', FALSE, NULL, NULL, NULL, NULL),
    (89, 7, 'MAX', 'Максимальная выпуклость', FALSE, 88, 'select', NULL, 'default'),
    (90, 7, 'MIN', 'Максимальная вогнутость', FALSE, 88, 'select', NULL, 'default'),
    (91, 7, 'NODE', 'Номер узла', FALSE, 88, 'select', NULL, 'default'),
      (2000, 7, 'SPACE_NODE_NUM', 'Номер узла', TRUE, 91, NULL, NULL, NULL),
    (92, 7, 'NDGR', 'Группа узлов', FALSE, 88, 'select', NULL, 'default'),
      (2001, 7, 'SPACE_NDGR', 'Группа узлов', TRUE, 92, NULL, NULL, NULL),

  (93, 7, 'SPACE_DIR_SETTINGS', 'Направления (пользовательские настройки)', FALSE, NULL, NULL, NULL, NULL),
    (94, 7, 'CLIENT_DIR', 'Пользовательское направление', FALSE, 93, 'select', NULL, 'default'),
      (95, 7, 'X', 'X', TRUE, 94, NULL, NULL, NULL),
      (96, 7, 'Y', 'Y', TRUE, 94, NULL, NULL, NULL),
      (97, 7, 'Z', 'Z', TRUE, 94, NULL, NULL, NULL),
    (98, 7, 'DEMOLD_DIR', 'Направление литья', FALSE, 93, 'select', NULL, 'default'),
      (99, 7, 'X', 'X', TRUE, 98, NULL, NULL, NULL),
      (100, 7, 'Y', 'Y', TRUE, 98, NULL, NULL, NULL),
      (101, 7, 'Z', 'Z', TRUE, 98, NULL, NULL, NULL),

  (102, 7, 'CS', 'Система координат', TRUE, NULL, NULL, 'Формат - CS_%num%', NULL),
  (103, 7, 'TOL', 'Точность', FALSE, NULL, NULL, NULL, NULL),
    (104, 7, 'TOL_1', 'Ось 1', TRUE, 103, NULL, NULL, NULL),
    (105, 7, 'TOL_2', 'Ось 2', TRUE, 103, NULL, NULL, NULL),
    (106, 7, 'TOL_3', 'Ось 3', TRUE, 103, NULL, NULL, NULL),

  (174, 7, 'CLIENT', 'Тип симметрии', FALSE, NULL, NULL, NULL, NULL),
    (108, 7, 'PLANE_SYM', 'Зеркальная симметрия', FALSE, 174, 'select', NULL, 'default'),

    (109, 7, 'ROTATION_SYM', 'Осевая симметрия', FALSE, 174, 'select', NULL, 'default'),

    (111, 7, 'SURF_PLANE_SYM', 'Зеркальная симметрия поверхности', FALSE, 174, 'select', NULL, 'default'),

    (112, 7, 'SURF_CYCLIC_SYM', 'Циклическая симметрия поверхности', FALSE, 174, 'select', NULL, 'default'),

    (117, 7, 'SURF_CYCLIC_PLANE_SYM', 'Циклическая и зеркальная симметрия поверхности', FALSE, 174, 'select', NULL, 'default'),

    (122, 7, 'SURF_STAMP', 'Поверхность штамповки', FALSE, 174, 'select', NULL, 'default'),

    (135, 7, 'SURF_TURN', 'Поверхность выточки', FALSE, 174, 'select', NULL, 'default'),

    (146, 7, 'SURF_DRILL', 'Поверхность сверления', FALSE, 174, 'select', NULL, 'default'),

    (169, 7, 'SURF_DEMOLD', 'Поверхность для литья', FALSE, 174, 'select', NULL, 'default'),

    (173, 7, 'FREE_FORM', 'Свободная форма', FALSE, 174, 'select', NULL, 'default'),

    (175, 7, 'PLANE_SYM, AXIS_1', 'Зеркальная симметрия – Ось 1', FALSE, 174, 'select', NULL, 'default'),

    (176, 7, 'PLANE_SYM, AXIS_2', 'Зеркальная симметрия – Ось 2', FALSE, 174, 'select', NULL, 'default'),

    (177, 7, 'PLANE_SYM, AXIS_3', 'Зеркальная симметрия – Ось 3', FALSE, 174, 'select', NULL, 'default'),

    (178, 7, 'POINT_SYM', 'Центральная симметрия', FALSE, 174, 'select', NULL, 'default'),

    (179, 7, 'ROTATION_SYM, AXIS_1', 'Осевая симметрия – Ось 1', FALSE, 174, 'select', NULL, 'default'),

    (181, 7, 'ROTATION_SYM, AXIS_2', 'Осевая симметрия – Ось 2', FALSE, 174, 'select', NULL, 'default'),

    (183, 7, 'ROTATION_SYM, AXIS_3', 'Осевая симметрия – Ось 3', FALSE, 174, 'select', NULL, 'default'),

    (185, 7, 'VECTOR', 'Вектор', FALSE, 174, 'select', NULL, 'default'),
      (186, 7, 'Axis 1', 'Ось 1', FALSE, 185, 'checkbox', NULL, NULL),
      (187, 7, 'Axis 2', 'Ось 2', FALSE, 185, 'checkbox', NULL, NULL),
      (188, 7, 'Axis 3', 'Ось 3', FALSE, 185, 'checkbox', NULL, NULL),

    (189, 7, 'DIRECTION', 'Направление', FALSE, 174, 'select', NULL, 'default'),
    (190, 7, 'LENGTH', 'Длина', FALSE, 174, 'select', NULL, 'default'),

    (196, 7, 'DISP_CS', 'СК перемещения', FALSE, 174, 'select', NULL, 'default'),
      (197, 7, 'Axis 1', 'Ось 1', FALSE, 196, 'checkbox', NULL, NULL),
      (198, 7, 'Axis 2', 'Ось 2', FALSE, 196, 'checkbox', NULL, NULL),
      (199, 7, 'Axis 3', 'Ось 3', FALSE, 196, 'checkbox', NULL, NULL),

    (205, 7, 'SURF_STAMP, AXIS_1', 'Поверхность штамповки, Ось 1', FALSE, 174, 'select', NULL, 'default'),

    (206, 7, 'SURF_STAMP, AXIS_2', 'Поверхность штамповки, Ось 2', FALSE, 174, 'select', NULL, 'default'),

    (207, 7, 'SURF_STAMP, AXIS_3', 'Поверхность штамповки, Ось 3', FALSE, 174, 'select', NULL, 'default'),

    (208, 7, 'SURF_TURN, AXIS_1', 'Поверхность выточки, Ось 1', FALSE, 174, 'select', NULL, 'default'),

    (209, 7, 'SURF_TURN, AXIS_2', 'Поверхность выточки, Ось 2', FALSE, 174, 'select', NULL, 'default'),

    (210, 7, 'SURF_TURN, AXIS_3', 'Поверхность выточки, Ось 3', FALSE, 174, 'select', NULL, 'default'),

    (211, 7, 'SURF_DRILL, AXIS_1', 'Поверхность сверления, Ось 1', FALSE, 174, 'select', NULL, 'default'),

    (212, 7, 'SURF_DRILL, AXIS_2', 'Поверхность сверления, Ось 2', FALSE, 174, 'select', NULL, 'default'),

    (213, 7, 'SURF_DRILL, AXIS_3', 'Поверхность сверления, Ось 3', FALSE, 174, 'select', NULL, 'default'),

    (214, 7, 'SURF_DEMOLD, AXIS_1', 'Поверхность для литья, Ось 1', FALSE, 174, 'select', NULL, 'default'),

    (215, 7, 'SURF_DEMOLD, AXIS_2', 'Поверхность для литья, Ось 2', FALSE, 174, 'select', NULL, 'default'),

    (216, 7, 'SURF_DEMOLD, AXIS_3', 'Поверхность для литья, Ось 3', FALSE, 174, 'select', NULL, 'default'),

  (170, 7, 'ANGLE', 'Угол', TRUE, NULL, NULL, NULL, NULL),
  (171, 7, 'UDNERCUT_TOL', 'Точность вырезки', TRUE, NULL, NULL, NULL, NULL),

  (123, 7, 'CYCLIC_SYM_START', 'Стартовая точка', FALSE, NULL, NULL, NULL, NULL),
    (119, 7, 'SPACE_CYCLIC_SYM_START', 'X1', TRUE, 123, NULL, NULL, NULL),
    (120, 7, 'SPACE_CYCLIC_SYM_START', 'X2', TRUE, 123, NULL, NULL, NULL),
    (121, 7, 'SPACE_CYCLIC_SYM_START', 'X3', TRUE, 123, NULL, NULL, NULL),

  (172, 7, 'CHECK_GROUP', 'Группа узлов', TRUE, NULL, NULL, NULL, NULL),

  (125, 7, 'SURF_PARAM', 'Параметры поверхности', FALSE, NULL, NULL, NULL, NULL),
    (126, 7, 'masterareas', 'Главные области', TRUE, 125, NULL, NULL, NULL),
    (127, 7, 'net_points', 'Ключевые точки', TRUE, 125, NULL, NULL, NULL),

  (128, 7, 'SURF_SYM_TYPE', 'Тип симметрии поверхности', FALSE, NULL, NULL, NULL, NULL),
    (129, 7, 'PLANE_SYM, AXIS_1', 'Зеркальная симметрия, Ось 1', FALSE, 128, 'select', NULL, 'default'),
    (130, 7, 'PLANE_SYM, AXIS_2', 'Зеркальная симметрия, Ось 2', FALSE, 128, 'select', NULL, 'default'),
    (131, 7, 'PLANE_SYM, AXIS_3', 'Зеркальная симметрия, Ось 3', FALSE, 128, 'select', NULL, 'default'),
    (132, 7, 'POINT_SYM', 'Центральная симметрия', FALSE, 128, 'select', NULL, 'default'),

  (133, 7, 'SURF_SYM_CS', 'Система координат', TRUE, NULL, NULL, 'Формат - CS_%num%', NULL),
  (134, 7, 'SURF_SYM_NDGR', 'Отсчетная группа узлов', TRUE, NULL, NULL, NULL, NULL);

