ALTER TABLE optimization_files
DROP CONSTRAINT optimization_files_optimization_id_fkey,
ADD CONSTRAINT optimization_files_optimization_id_fkey FOREIGN KEY (optimization_id) REFERENCES optimizations (id) ON DELETE CASCADE;

ALTER TABLE optimization_results
DROP CONSTRAINT optimization_results_optimization_id_fkey,
ADD CONSTRAINT optimization_results_optimization_id_fkey FOREIGN KEY (optimization_id) REFERENCES optimizations (id) ON DELETE CASCADE;

ALTER TABLE optimization_reports
DROP CONSTRAINT optimization_reports_optimization_id_fkey,
ADD CONSTRAINT optimization_reports_optimization_id_fkey FOREIGN KEY (optimization_id) REFERENCES optimizations (id) ON DELETE CASCADE;

ALTER TABLE adjacent_elements
DROP CONSTRAINT adjacent_elements_adjacent_construction_element_id_fkey,
ADD CONSTRAINT adjacent_elements_adjacent_construction_element_id_fkey
  FOREIGN KEY (adjacent_construction_element_id) REFERENCES construction_elements (id) ON DELETE CASCADE;

ALTER TABLE adjacent_elements
DROP CONSTRAINT adjacent_elements_construction_element_id_fkey,
ADD CONSTRAINT adjacent_elements_construction_element_id_fkey
FOREIGN KEY (construction_element_id) REFERENCES construction_elements (id) ON DELETE CASCADE;

ALTER TABLE construction_element_file_types
DROP CONSTRAINT construction_element_file_types_pid_fkey,
ADD CONSTRAINT construction_element_file_types_pid_fkey
FOREIGN KEY (pid) REFERENCES construction_elements (id) ON DELETE CASCADE;


ALTER TABLE technology_calculations
DROP CONSTRAINT technology_calculations_model_id_fkey,
ADD CONSTRAINT technology_calculations_model_id_fkey
FOREIGN KEY (model_id) REFERENCES construction_elements (id) ON DELETE CASCADE;