#!/bin/sh
#SBATCH -p ${partitionName}
#SBATCH -N ${numOfNodes}
#SBATCH -o ${stdOutFile}        # STDOUT
#SBATCH -e ${stdErrFile}        # STDERR
#SBATCH -vvv # log verbosity
#SBATCH -D ${outputDir}
#SBATCH -J ${taskName}

module load ansys/apdl/16.2
ansys162 -i ${inputFileName} -o ${outputFileName} <#if isParallel>-dis </#if>-np ${numOfCores} -b

<#--MACHINEFILE="nodes.$SLURM_JOB_ID"-->
<#--srun -l /bin/hostname -I | sort -n | awk '{print $2}' > $MACHINEFILE-->

<#--${pathToMPI} -np $SLURM_NTASKS -machinefile $MACHINEFILE ${commandLine}-->

<#--#rm $MACHINEFILE-->
