(function() {
  "use strict";

  window.App.BackgridFormatters.ActionsCell = Backgrid.Cell.extend({
    template: _.template('<button class="delete-row btn btn-default">Delete</button><button class="edit-row btn btn-default">edit</button>'),
    events: {
      "click .delete-row": "deleteRow",
      "click .edit-row": "editRow"
    },

    deleteRow: function(e) {
      console.log("remove clicked");
      e.preventDefault();
      this.model.destroy();
    },

    editRow: function(e) {
      console.log("edit clicked");
    },

    render: function() {
      this.$el.html(this.template());
      this.delegateEvents();
      return this;
    }
  });


})();