App.module('ProjectModule', function () {
  var that = this;
  this.startWithParent = false;

  this.showProjectPage = function(options) {
    switch (options.page) {
      case "ProjectHomePage": that.ProjectNavController.ProjectHomePage(options); break;
      case "ProjectTaskPage": that.ProjectNavController.ProjectTaskPage(options); break;
      case "ProjectMaterialsListPage": that.ProjectNavController.ProjectMaterialsListPage(options); break;
      case "ProjectMaterialCreatePage": that.ProjectNavController.ProjectMaterialCreatePage(options); break;
      case "ProjectMaterialParametersPage": that.ProjectNavController.ProjectMaterialParametersPage(options); break;
      case "ProjectMaterialFilesPage": that.ProjectNavController.ProjectMaterialFilesPage(options); break;
      case "ProjectCompositeMaterialsListPage": that.ProjectNavController.ProjectCompositeMaterialsListPage(options); break;
      case "ProjectCompositeMaterialCreatePage": that.ProjectNavController.ProjectCompositeMaterialCreatePage(options); break;
      case "ProjectCompositeMaterialParametersPage": that.ProjectNavController.ProjectCompositeMaterialParametersPage(options); break;
      case "ProjectCompositeMaterialEffectiveCharacteristicCreatePage": that.ProjectNavController.ProjectCompositeMaterialEffectiveCharacteristicCreatePage(options); break;
      case "ProjectCompositeMaterialEffectiveCharacteristicsPage": that.ProjectNavController.ProjectCompositeMaterialEffectiveCharacteristicsPage(options); break;
      case "ProjectCompositeMaterialSimulationsPage": that.ProjectNavController.ProjectCompositeMaterialSimulationsPage(options); break;
      case "ProjectCompositeMaterialSimulationCreatePage": that.ProjectNavController.ProjectCompositeMaterialSimulationCreatePage(options); break;
      case "ProjectCompositeMaterialFilesPage": that.ProjectNavController.ProjectCompositeMaterialFilesPage(options); break;
      case "ProjectEffectiveCharacteristicPage": that.ProjectNavController.ProjectEffectiveCharacteristicPage(options); break;
      case "ProjectEffectiveCharacteristicResultsPage": that.ProjectNavController.ProjectEffectiveCharacteristicResultsPage(options); break;
      case "ProjectSimulationPage": that.ProjectNavController.ProjectSimulationPage(options); break;
      case "ProjectUsersPage": that.ProjectNavController.ProjectUsersPage(options); break;
      case "ProjectUserPage": that.ProjectNavController.ProjectUserPage(options); break;
      case "ProjectCreateUserPage": that.ProjectNavController.ProjectCreateUserPage(options); break;
      case "ProjectTechnologiesListPage": that.ProjectNavController.ProjectTechnologiesListPage(options); break;
      case "ProjectTechnologyCreatePage": that.ProjectNavController.ProjectTechnologyCreatePage(options); break;
      case "ProjectTechnologyParameterCreatePage": that.ProjectNavController.ProjectTechnologyParameterCreatePage(options); break;
      case "ProjectTechnologyParametersPage": that.ProjectNavController.ProjectTechnologyParametersPage(options); break;
      case "ProjectTechnologySimulationCreatePage": that.ProjectNavController.ProjectTechnologySimulationCreatePage(options); break;
      case "ProjectTechnologySimulationsPage": that.ProjectNavController.ProjectTechnologySimulationsPage(options); break;
      case "ProjectTechnologySimulationParametersPage": that.ProjectNavController.ProjectTechnologySimulationParametersPage(options); break;
      case "ProjectTechnologySimulationCopyPage": that.ProjectNavController.ProjectTechnologySimulationCopyPage(options); break;
      case "ProjectConstructionElementsListPage": that.ProjectNavController.ProjectConstructionElementsListPage(options); break;
      case "ProjectConstructionElementsCreatePage": that.ProjectNavController.ProjectConstructionElementsCreatePage(options); break;
      case "ProjectConstructionElementsParametersPage": that.ProjectNavController.ProjectConstructionElementsParametersPage(options); break;
      case "ProjectConstructionElementsFilesPage": that.ProjectNavController.ProjectConstructionElementsFilesPage(options); break;
      case "ProjectCreateFilePage": that.ProjectNavController.ProjectCreateFilePage(options); break;
      case "ProjectFileParametersPage": that.ProjectNavController.ProjectFileParametersPage(options); break;
      case "ProjectOptimizationsListPage": that.ProjectNavController.ProjectOptimizationsListPage(options); break;
      case "ProjectOptimizationCreatePage": that.ProjectNavController.ProjectOptimizationCreatePage(options); break;
      case "ProjectOptimizationCopyPage": that.ProjectNavController.ProjectOptimizationCopyPage(options); break;
      case "ProjectOptimizationFolderCreatePage": that.ProjectNavController.ProjectOptimizationFolderCreatePage(options); break;
      case "ProjectOptimizationParametersPage": that.ProjectNavController.ProjectOptimizationParametersPage(options); break;
      case "ProjectOptimizationSettingsPage": that.ProjectNavController.ProjectOptimizationSettingsPage(options); break;
      case "ProjectOptimizationLevelsPage": that.ProjectNavController.ProjectOptimizationLevelsPage(options); break;
      case "ProjectOptimizationReferencesPage": that.ProjectNavController.ProjectOptimizationReferencesPage(options); break;
      case "ProjectSimulationParametersPage": that.ProjectNavController.ProjectSimulationParametersPage(options); break;
      case "ProjectSimulationResultsPage": that.ProjectNavController.ProjectSimulationResultsPage(options); break;
      case "ProjectQueuePage": that.ProjectNavController.ProjectQueuePage(options); break;
      default: break;
    }

    options = options || {};
  };

  this.start = function (options) {
    that.options = options;
    that.ProjectNavController = new window.App.Controllers.ProjectController(options);
  }
});