/**
 * Created by lexeek on 27.10.14.
 */


(function() {
  "use strict";

  window.App.Routers.AdminRouter = Backbone.Marionette.AppRouter.extend({

    appRoutes: {
      "admin": "showAdminNodes",
      "admin/home": "showAdminHome",
      "admin/users": "showAdminUsers",
      "admin/nodes": "showAdminNodes",
      "admin/nodes/:id/show(/)": "showNodePage",
      "admin/solver/:id/show(/)": "showSolverPage",
      "admin/nodes/create": "showAdminNodesCreate",
      "admin/solvers": "showAdminSolvers",
      "admin/solvers/create": "showAdminSolversCreate",
      "admin/tcls": "showAdminTclScripts"
    }
  });

})();