(function () {

  "use strict";

  window.App.Views.CollapsableBlock = Backbone.Marionette.LayoutView.extend({

    ui: {
      collapse: ".js-collapse"
    },

    events: {
      "click @ui.collapse": "onCollapseClick"
    },

    onCollapseClick: function (e) {
      $(e.target).closest(".ui-block").toggleClass("ui-collapse");
    }

  });
}());
