(function () {
  "use strict";
  window.App.Views.CompositeMaterialSimulationsPage = window.App.Views.CompositeMaterialFilesPage.extend({
    initialize: function (options) {
      window.App.Views.CompositeMaterialFilesPage.__super__.initialize.apply(this, arguments);
      this.page = "simulations";
    },

    initAndDrawTables: function () {
      var gridCollection = new window.App.Collections.Simulations([], {
        objectId: this.model.id,
        objectType: "compositeMaterials",
        pageable: true,
        dependsOnParent: true,
        filters: this.options.filters ? _.extend({
          compositeMaterialId: this.model.id
        }, this.options.filters) : {
          compositeMaterialId: this.model.id
        }
      });

      this.filesView = new window.App.Views.SimulationsListView(_.extend({
        gridCollection: gridCollection,
        actions: ["open", "new", "delete"],
        title: "Виртуальные испытания",
        type: this.options.type
      }, {}));
      this.getRegion("mainRegion").show(this.filesView);
    }

  });

})();