window.OptimizationMainImage = React.createClass({
  onChange: function (e) {
    if (e.target.files.length !== 0) {
      $(e.target).closest(".image-upload-form").ajaxForm({
        url: "rest/optimizations/" + this.props.id + "/imageFile",
        type: "POST",
        success: (data) => {
          window.alertify.success("Изображение успешно загружено");
          this.forceUpdate();
        },
        error: (xhr) => {
          window.alertify.error("Не удалось загрузить изображение");
          this.forceUpdate();
        }
      }).submit();
    }
  },
  onRemoveClick: function () {
    $.ajax({
      type: "DELETE",
      url: "rest/optimizations/" + this.props.id + "/imageFile",
      success: () => {
        window.alertify.success("Успешно удалено");
        this.forceUpdate();
      }
    })
  },
  render: function () {
    const src = "rest/optimizations/" + this.props.id + "/imageFile?timestamp=" + new Date().getMilliseconds();
    var attrs = {
      type: "file",
      name: "file"
    };
    if (this.props.isView) attrs.disabled = true;
    return (
      <form enctype="multipart/form-data" className="image-upload-form">
        <div className="image-wrap">
          <div className="btn btn-file">
            <img className="preview-image ui-object-image" src={src} alt=""/>
            <input {...attrs} className={this.props.isView ? "disabled" : ""} onChange={this.onChange}/>
          </div>
        </div>
        <button type="button" className={this.props.isView ? "hidden" :"close ui-remove-image"} onClick={this.onRemoveClick}>&times;</button>
      </form>
    )
  }
});