window.OptimizationOptimusFunction = React.createClass({
  getInitialState: function () {
    return this.props.data;
  },
  onChange: function (e) {
    var state = this.state;
    state[e.target.id] = parseInt(e.target.value);
    $.ajax({
      type: "PUT",
      url: "rest/optimizations/" + this.state.optimizationId + "/Optimus/targetFunctions/" + this.state.id,
      contentType: "application/json",
      data: JSON.stringify(state),
      success: (data) => {
        this.setState(data);
      }
    });
  },
  isValid: function () {
    return this.state.funcId != 1;
  },
  mapTypes: function () {
    var types = this.props.types.map((type)=> {
      return <option key={type.id} value={type.id}>{type.name}</option>
    });
    return types;
  },
  render: function () {
    var formClass, btnClass;
    if (this.isValid()) {
      formClass = btnClass = "success";
    } else {
      formClass = "error";
      btnClass = "danger";
    }
    return (
      <div className="row" style={{"marginBottom": "7px"}}>
        <div className="col-md-1">
          <button type="button" className={"btn btn-" + btnClass} disabled>{this.state.name}</button>
        </div>
        <div className="col-md-2">
          <div className={"form-group has-" + formClass}>
            <select id="funcId" disabled={this.props.isView} className="form-control" value={this.state.funcId} onChange={this.onChange}>
              {this.mapTypes()}
            </select>
          </div>
        </div>
      </div>
    )
  }
});