(function () {
  "use strict";

  window.App.Views.OptimizationGraphView = Marionette.LayoutView.extend({
    template: "./views/templates/project/optimization/optimization_graph.html.ejs",
    className: "row",

    templateHelpers: function () {
      return {
        count: function (results) {
          var total = 0;
          if (!_.isNull(results))
            $.each(results, function (k, v) { total = total + v.length; });
          return total;
        }
      }
    }

  });

}());