<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="favicon.ico">

    <title>CML-bench</title>

    <!-- Bootstrap core CSS -->
    <link href="assets/css/vendor/bootstrap.min.css" rel="stylesheet">
    <link href="assets/css/vendor/bootstrap-theme.min.css" rel="stylesheet">
    
    <!-- Ztree -->
    <link href="assets/css/vendor/zTreeStyle/zTreeStyle.css" rel="stylesheet">

    <!-- Backgrid -->
    <link href="assets/css/vendor/backgrid.min.css" rel="stylesheet">

    <!--FontAwesome core CSS-->
    <link href="assets/css/vendor/font-awesome.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="assets/css/styles.css" rel="stylesheet">

    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="assets/js/vendor/ie10-viewport-bug-workaround.js"></script>
    <script src="assets/js/vendor/modernizr-2.6.2-respond-1.1.0.min.js"></script>

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>

    <!-- Fixed navbar -->
    <div id="header"></div>
      
    <div class="container-fluid">
      <div class="row">

        <!-- Sidebar -->
        <div id="sidebar" class="col-sm-3 sidebar"></div>

        <!-- Main Container -->
        <div id="container" class="col-sm-9 col-sm-offset-3 main">

          <div id="nav"></div>

          <div id="content"></div>

        </div>
      </div>
    </div>



<!-- Vendor -->

<!-- MVC -->
<script src="assets/js/vendor/jquery-2.1.1.min.js"></script>
<script src="assets/js/vendor/underscore-min.js"></script>
<script src="assets/js/vendor/backbone-min.js"></script>
<script src="assets/js/vendor/backbone.marionette.min.js"></script>

<script src="assets/js/vendor/bootstrap.min.js"></script>
<script src="assets/js/vendor/jquery.ztree.core-3.5.min.js"></script>
<script src="assets/js/vendor/backgrid.min.js"></script>
<script src="assets/js/vendor/backbone-pageable.min.js"></script>
<script src="assets/js/vendor/backgrid-paginator.min.js"></script>
<script src="assets/js/vendor/backgrid-filter.min.js"></script>


<!-- Templates -->
<script src="assets/js/vendor/ejs_production.min.js"></script>

<!-- Application -->
<script src="assets/js/app/app.js"></script>

<!-- Controllers -->
<script src="assets/js/app/controllers/app_controller.js"></script>

<!-- Routers -->
<script src="assets/js/app/routers/app_router.js"></script>

<!-- Models -->
<script src="assets/js/app/models/cml_model.js"></script>

<!-- Collections -->
<script src="assets/js/app/collections/experiments.js"></script>
<script src="assets/js/app/collections/cml_models.js"></script>

<!-- Backgrid Fromatters -->
<script src="assets/js/app/backgrid_formatters/actions_cell.js"></script>

<!-- Views -->
<script src="../assets/js/app/views/navigation/main_app_header.js"></script>
<script src="assets/js/app/views/sidebar/sidebar.js"></script>
<script src="assets/js/app/views/navigation/navigation.js"></script>
<script src="assets/js/app/views/home/home.js"></script>



<script>
  $(function () {
    // start the app 
    App.start();
  });
</script>


</body>
</html>
